Advertising

Author Topic: Nvidia Legacy Driver 340xx nor 390xx can be installed  (Read 486 times)

Offline Nomad

  • Newbie
  • *
  • Posts: 2
Nvidia Legacy Driver 340xx nor 390xx can be installed
« on: August 17, 2019, 10:02:14 am »
 :o This is a FRESH Install... well in fact 3rd FRESH Install. It was going well and Sparky Installed swifttly.

I always use Sparky. It's on all my machines and usually it just gets better. The problem I'm facing now appears to be NOT a Sparky issue so much as a Debian issue.

When I use the Nvidia-detect I end up with the message that it can't find the version of Debian. (Or something.) I haven't installed it as this is really FRESH! It's updating.

The 2nd problem is that after Goggling it... someone suggested using sgfxi which I almost NEVER fails but I just haven't needed it with Sparly for ages.

Now guess what it failed.

Another issue is installing from apt or even using aptus (installing Nvidia settings tries to pull all that it depends on such as the driver too), I basically found I had no xorg.config???

Isn't that supposed to happen during install? It claimed it made one when installing the driver too.

When I fired up sfgxi on the 2nd install... sfgxi says: You have no xorg.config. want to make one?

Anyone having this issue and any clues how to fix it? Basically it looks like even should the driver be installed the result is that there's no xorg.conf telling it to use the Nvidia driver.

I just haven't enough time to fiddle and flaff online for this anymore because my hard drive died and I replaced and did an install because I need to do some work and now after 4 hours, my work insn't done and I am not finding answers to this issue that are clear online.

If anyone wants to know in case it helps, my Nvidia card is an old GT240M with 1G of DDR3. This is a pretty old computer, going on 8 years but I keep it going as long as I can as it's got the FULL keyboard. ;)

have just installed Nvidia-detect:
Uh oh. Failed to identify your Debian suite. nvidia-detect

I have come across several things for this online but to be frank, I just don't get it right now. I have a headache and need to catch up on work.

It "just worked" before so is there a problem with this Nvidia-detect in the repos of Debian? Anyone else had this problem in Sparky? I see some problem about it in Debian but am looking for a simpler way to work around it. Using sgfxi before just resulted in it saying it built a driver module etc etc etc and then nothing.

Even after it created  a xorg.conf which for whatever reason wasn't created at install. Also when I did the install before using the repo it said it made a xorg.conf and seriously I couldn't find one. So it didn't put it where it should go 'if' it did create one.
« Last Edit: August 17, 2019, 12:34:57 pm by Nomad »

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 623
Re: Nvidia Legacy Driver 340xx nor 390xx can be installed
« Reply #1 on: August 17, 2019, 07:26:28 pm »
Please post output of
"inxi -G"     "inxi -Fr"   you don't state whether old-stable, stable or testing.  So  -Fr will give us more info.

No xorg.conf is quite common these days, see previous posts by others or Debian or Siduction forums. 

Don't make a FrankenDebian

Offline Nomad

  • Newbie
  • *
  • Posts: 2
Re: Nvidia Legacy Driver 340xx nor 390xx can be installed
« Reply #2 on: September 07, 2019, 03:32:54 pm »
Hello, sorry about that. Lack of info.

Yes... it's testing... I should have mentioned but I get the impression from the searches I did that this problem with Nvidia
seems to be a Debian thing right now.

Host: wanderer-pc Kernel: 5.2.0-11.1-liquorix-amd64 x86_64 bits: 64
  Desktop: Xfce 4.14.1 Distro: SparkyLinux 6 (Po-Tolo)
Machine:
  Type: Kvm System: Quanta product: TW9/SW9 v: 05 serial: <root required>
  Mobo: Intel model: N/A serial: <root required> BIOS: INSYDE v: Q3F82
  date: 02/01/2010
CPU:
  Topology: Dual Core model: Intel Core i5 M 520 bits: 64 type: MT MCP
  L2 cache: 3072 KiB
  Speed: 2820 MHz min/max: 1199/2400 MHz Core speeds (MHz): 1: 2599 2: 2197
  3: 2606 4: 2561
Graphics:
  Device-1: NVIDIA GT216M [GeForce GT 240M] driver: nouveau v: kernel
  Display: x11 server: X.Org 1.20.4 driver: modesetting unloaded: fbdev,vesa
  resolution: 1366x768~60Hz
  OpenGL: renderer: NVA5 v: 3.3 Mesa 19.1.4
Audio:
  Device-1: Intel 5 Series/3400 Series High Definition Audio
  driver: snd_hda_intel
  Device-2: NVIDIA GT216 HDMI Audio driver: snd_hda_intel
  Sound Server: ALSA v: k5.2.0-11.1-liquorix-amd64
Network:
  Device-1: Intel Centrino Wireless-N 1000 [Condor Peak] driver: iwlwifi
  IF: wlan0 state: down mac: 92:4a:02:9c:e1:1e
  Device-2: Qualcomm Atheros AR8131 Gigabit Ethernet driver: atl1c
  IF: eth0 state: down mac: 00:26:9e:e7:80:f8
  Device-3: Samsung GT-I9070 (network tethering USB debugging enabled)
  type: USB driver: rndis_host
  IF: usb0 state: unknown speed: N/A duplex: N/A mac: 42:c6:58:98:4a:a7
Drives:
  Local Storage: total: 719.15 GiB used: 26.02 GiB (3.6%)
  ID-1: /dev/sda type: USB model: ACASIS External size: 223.57 GiB
  ID-2: /dev/sdb vendor: Samsung model: SSD 860 EVO 500GB size: 465.76 GiB
  ID-3: /dev/sdc type: USB vendor: Generic model: Multi-Card size: 29.82 GiB
Partition:
  ID-1: / size: 50.18 GiB used: 25.75 GiB (51.3%) fs: ext4 dev: /dev/sdb1
  ID-2: swap-1 size: 2.21 GiB used: 272.5 MiB (12.0%) fs: swap
  dev: /dev/sdb4
Sensors:
  System Temperatures: cpu: 55.0 C mobo: N/A gpu: nouveau temp: 51 C
  Fan Speeds (RPM): N/A
Repos:
  Active apt repos in: /etc/apt/sources.list
  1: deb http://deb.debian.org/debian/ testing main contrib non-free
  2: deb-src http://deb.debian.org/debian/ testing main contrib non-free
  3: deb http://deb.debian.org/debian-security/ testing-security/updates main contrib non-free
  4: deb-src http://deb.debian.org/debian-security/ testing-security/updates main contrib non-free
  5: deb http://www.deb-multimedia.org/ testing main non-free
  No active apt repos in: /etc/apt/sources.list.d/dropbox.list
  Active apt repos in: /etc/apt/sources.list.d/google-chrome.list
  1: deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
  Active apt repos in: /etc/apt/sources.list.d/google-earth-pro.list
  1: deb http://dl.google.com/linux/earth/deb/ stable main
  Active apt repos in: /etc/apt/sources.list.d/liquorix.list
  1: deb http://liquorix.net/debian sid main
  2: deb-src http://liquorix.net/debian sid main
  Active apt repos in: /etc/apt/sources.list.d/opera-stable.list
  1: deb https://deb.opera.com/opera-stable/ stable non-free #Opera Browser (final releases)
  Active apt repos in: /etc/apt/sources.list.d/skype-stable.list
  1: deb [arch=amd64] https://repo.skype.com/deb stable main
  Active apt repos in: /etc/apt/sources.list.d/sparky-testing.list
  1: deb https://sparkylinux.org/repo/ core main
  2: deb-src https://sparkylinux.org/repo/ core main
  3: deb https://sparkylinux.org/repo/ testing main
  4: deb-src https://sparkylinux.org/repo/ testing main
  Active apt repos in: /etc/apt/sources.list.d/sparky-unstable.list
  1: deb https://sparkylinux.org/repo/ unstable main
  2: deb-src https://sparkylinux.org/repo/ unstable main
  Active apt repos in: /etc/apt/sources.list.d/vivaldi.list
  1: deb http://repo.vivaldi.com/stable/deb/ stable main
Info:
  Processes: 215 Uptime: 3d 11h 18m Memory: 3.78 GiB used: 1.55 GiB (40.9%)
  Shell: bash inxi: 3.0.36
 

This is the output of the command you requested.

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 623
Re: Nvidia Legacy Driver 340xx nor 390xx can be installed
« Reply #3 on: September 07, 2019, 08:46:45 pm »
Hint for any and all  - if you wrap the xml for code (# button) around the entire output of a process (like inxi, lspci ... ...) it is easier to read, especially when you are outputting your etc/apt/sources.list ....   Especially on certain forums, it gets mangled. 

The new bump for XFCE.  ##side question - is it going good? 

Question  Type: Kvm System: Quanta product: ...   is this a virtual install?   probably not but I have not seen that before.

  Device-1: NVIDIA GT216M [GeForce GT 240M] driver: nouveau v: kernel    ## nouveau     

Hopefully people who use Nvidia will start answering.  About 3 years old?  nouveau tends to work with older cards. 

Fresh install 
Does it work with an older kernel?  Your kernel might be too new.  Old machines and gpu's do not necessarily need the newest kernel.  Newer computers often do.

sidebar
inxi sfgxi and smxi. 
Yes I did use sfgxi for a AMD C-50 for getting radeon instead of the open source.  And I did use smxi.  Until Towo elsewhere asked me if I really wanted to trust several 10 thousand lines of a bash shell.  I have not used smxi since.   

Again hopefully peope with Nvida using testing will post info. 
Don't make a FrankenDebian

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 623
Re: Nvidia Legacy Driver 340xx nor 390xx can be installed
« Reply #4 on: September 08, 2019, 08:30:14 pm »
 firmware-misc-nonfree,      ??

long, I am not going to read it
Nouveau - works in Stretch, not in Buster
http://forums.debian.net/viewtopic.php?f=6&t=143382

Don't make a FrankenDebian